
export const ruleApi = [
  {
    label: '手机号',
    value: 'phone'
  },
  {
    label: '邮箱',
    value: 'email'
  },
  {
    label: '身份证号',
    value: 'idCard'
  },
  {
    label: '网址',
    value: 'internet'
  }
]
export const ruleRegular = [
  {
    label: '手机号',
    value: '^[1][3-8][0-9]{9}$'
  },
  {
    label: '邮箱',
    value: '[a-z0-9]+([._\\\\-]*[a-z0-9])*@([a-z0-9]+[-a-z0-9]*[a-z0-9]+.){1,63}[a-z0-9]+$'
  },
  {
    label: '身份证号',
    value: '^[1-9][0-9]{5}([1][9][0-9]{2}|[2][0][0|1][0-9])([0][1-9]|[1][0|1|2])([0][1-9]|[1|2][0-9]|[3][0|1])[0-9]{3}([0-9]|[X])$'
  },
  {
    label: '网址',
    value: '^([hH][tT]{2}[pP]:\\/\\/|[hH][tT]{2}[pP][sS]:\\/\\/|www\\.)(([A-Za-z0-9-~]+)\\.)+([A-Za-z0-9-~\\/])+$'
  }
]
export const regularMap = {
  '^[1][3-8][0-9]{9}$': '手机号',
  '[a-z0-9]+([._\\\\-]*[a-z0-9])*@([a-z0-9]+[-a-z0-9]*[a-z0-9]+.){1,63}[a-z0-9]+$': '邮箱',
  '^[1-9][0-9]{5}([1][9][0-9]{2}|[2][0][0|1][0-9])([0][1-9]|[1][0|1|2])([0][1-9]|[1|2][0-9]|[3][0|1])[0-9]{3}([0-9]|[X])$': '身份证号',
  '^([hH][tT]{2}[pP]:\\/\\/|[hH][tT]{2}[pP][sS]:\\/\\/|www\\.)(([A-Za-z0-9-~]+)\\.)+([A-Za-z0-9-~\\/])+$': '网址'
}

// export let regularMap = {
//   phone(val) {
//     if(!(/^1[3456789]\d{9}$/.test(val))){
//       return false
//     }
//     return true
//   },
//   email(val) {
//     // eslint-disable-next-line no-useless-escape
//     const pattern = /^([A-Za-z0-9_\-\.\u4e00-\u9fa5])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,8})$/
//     if(!pattern.test(val)) {
//       return false
//     }
//     return true
//   },
//   Number(val) {
//    const regExp = new RegExp('^[0-9]*$')
//     if(!regExp.test(val)) {
//       return false
//     }
//     return true
//   },
//   idCard(val) {
//     let pattern = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/i
//     if(!pattern.test(val)) {
//       return false
//     }
//     return true
//   },
//   internet(val) {
//     // eslint-disable-next-line no-useless-escape
//     let pattern = /http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- .\/?%&=]*)?/
//     const objExp = new RegExp(pattern);
//     if(objExp.test(val)){
//       return true;
//     }else{
//       return false;
//     }
//   }
// }
